# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-03-05 13:19
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings
import guichet.models
import os

def migrate_template(apps, schema_editor):
    Ticket = apps.get_model("guichet", "Ticket")
    db_alias = schema_editor.connection.alias
    for ticket in Ticket.objects.using(db_alias).all():
        if not ticket.design:
            continue
        initial_path = ticket.design.path
        new_path = guichet.models.path_design(ticket, initial_path)
        ticket.design.name = new_path
        path = os.path.join(settings.MEDIA_ROOT, new_path)
        if not os.path.exists(os.path.dirname(path)):
            os.makedirs(os.path.dirname(path))
        os.rename(initial_path, path)
        ticket.save()

class Migration(migrations.Migration):

    dependencies = [
        ('guichet', '0067_auto_20180304_1752'),
    ]

    operations = [
        migrations.AlterField(
            model_name='ticket',
            name='design',
            field=models.ImageField(blank=True, null=True, upload_to=guichet.models.path_design, verbose_name='Template du billet'),
        ),
#        migrations.RunPython(migrate_template),
    ]
